from PyQt5.QtWidgets import QApplication, QMainWindow
from PyQt5.QtWebEngineWidgets import QWebEngineView
from PyQt5.QtCore import QUrl
import sys

class WebViewer(QMainWindow):
    def __init__(self, url):
        super().__init__()
        self.browser = QWebEngineView()
        self.browser.setUrl(QUrl(url))  # Convert the URL string to a QUrl object
        self.setCentralWidget(self.browser)
        self.showMaximized()

if __name__ == "__main__":
    app = QApplication(sys.argv)
    url = "http://localhost/ime_app/login_user.html"  # Replace with your URL
    viewer = WebViewer(url)
    sys.exit(app.exec_())
